# CVE-2015-0235-cookbook

This cookbook will test if you are vulnerable to [CVE-2015-0235](http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0235).  

Current behavior will error out when test fails:
```
bash 'test vulnerability against libc' do
  cwd Chef::Config[:file_cache_path]
  code <<-EOH
    ./CVE-2015-0235
    EOH
  returns [1]
end
```


For debian based systems: [CVE-2015-0235](https://security-tracker.debian.org/tracker/CVE-2015-0235)

For Rhel based systems: [CVE-2015-0235](https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2015-0235)


## Supported Platforms

- Debian / Ubuntu
- Centos / Rhel

## Todo
- [ ] Add Test for currently running processes still using old version (easy in debian with checkrestart -v)
- [ ] Add a script to help with fixing?


## Usage

### CVE-2015-0235::default

Include `CVE-2015-0235` in your node's `run_list`:

```json
{
  "run_list": [
    "recipe[CVE-2015-0235]"
  ]
}
```

## License and Authors

Author:: Mike Splain (<mike.splain@gmail.com>)
